Subject: Re: [bug-diffutils] bug#24397: Binary files and --label option

From: Paul Eggert <[email-masked]>
Date: Fri, 9 Sep 2016 08:54:33 -0700

On 09/09/2016 02:30 AM, Jean Delvare wrote:
> It seems we would need separate --label options for
> the text and binary cases, as you may want to include the timestamp (or
> any other extra information) for regular diff output, while you only
> want the file names in the binary case. Maybe we need a new option
> --file-name for the latter?

Yes, it does appear that the options need to be rethought. Also, there 
needs to be a better way to indicate symlinks and special files; that's 
a related issue.